#pragma once

#include "TapeControlDlg.h"
#include "DocPaneDlgViewBase.h"

// CTapeCtrlView

class CTapeCtrlView : public CDocPaneDlgViewBase
{
		DECLARE_DYNAMIC(CTapeCtrlView)
		CTapeControlDlg m_Dlg;

	public:
		CTapeCtrlView(UINT nErrID);
		virtual ~CTapeCtrlView() override;

		void UpdateTapeControls(bool bEmuLoad = false, bool bEmuSave = false);
		void StartPlayTape();
		void InitParams(CTape *pTape);

	protected:

		DECLARE_MESSAGE_MAP()
};
